# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=linux-api-headers
pkgver=6.10.5
pkgrel=1
pkgdesc="Kernel headers sanitized for use in userspace"
arch=('x86_64')
url="https://www.gnu.org/software/libc"
license=('GPL-2.0-only')
makedepends=('rsync')
source=(https://cdn.kernel.org/pub/linux/kernel/v6.x/linux-${pkgver}.tar.xz)
sha256sums=(30909eb2e0434dce97a93cd97ed0dfab7688a124bc3ebc3ecf6c776de09ccc0b)

build() {
	cd linux-${pkgver}

	make mrproper
}

package() {
	cd linux-${pkgver}

	make INSTALL_HDR_PATH=${pkgdir}/usr headers_install

	# use headers from libdrm
	rm -r ${pkgdir}/usr/include/drm
}
